| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSaverFile Class Reference

An object containing information about where to save a file. More...

`#include <cstool/saverfile.h>`

Inheritance diagram for csSaverFile:

[legend]
List of all members.

## Public Member Functions
| csSaverFile (const char *file, int filetype)
| The constructor.
virtual const char * | GetFile () const
| Get the file name of the saver file.
virtual int | GetFileType () const
| Get the type of the saver file.
virtual iObject * | QueryObject ()
| Get the iObject for this object.
void | SelfDestruct ()
| Remove me!
virtual | ~csSaverFile ()
| The destructor.

## Detailed Description

An object containing information about where to save a file.

Parent this iObject to engine objects.

Definition at line 37 of file saverfile.h.

## Constructor & Destructor Documentation

csSaverFile::csSaverFile | ( | const char * | file,
|  | int | filetype |
| ) |  |  |

The constructor.

virtual csSaverFile::~csSaverFile | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

virtual const char* csSaverFile::GetFile | ( |  | ) | const`[virtual]`

Get the file name of the saver file.

Implements iSaverFile.

virtual int csSaverFile::GetFileType | ( |  | ) | const`[virtual]`

Get the type of the saver file.

Implements iSaverFile.

virtual iObject* csSaverFile::QueryObject | ( |  | ) | `[inline, virtual]`

Get the iObject for this object.

Implements iSaverFile.

Definition at line 52 of file saverfile.h.

void csSaverFile::SelfDestruct | ( |  | ) | `[inline, virtual]`

Remove me!

Implements iSelfDestruct.

Definition at line 58 of file saverfile.h.

The documentation for this class was generated from the following file:

- cstool/saverfile.h